CAPNG_APPLY(3)

NAME
capng_apply - apply the stored capabilities settings

SYNOPSIS
#include <cap-ng.h>

int capng_apply(capng_select_t set);

DESCRIPTION

capng_apply will transfer the specified internal posix capabilities settings to the kernel. The options are CAPNG_SELECT_CAPS for the traditional capabilities, CAPNG_SELECT_BOUNDS for the bounding set, or CAPNG_SELECT_BOTH if transferring both is desired.

RETURN VALUE

This returns 0 on success and -1 on failure.

NOTES

If you are doing multi-threaded programming, calling this function will only set capabilities on the calling thread. All other threads are unaffected. If you want to set overall capabilities for a multi-threaded process, you will need to do that before creating any threads. See the capset syscall for more information on this topic.

SEE ALSO

capset(2), capng_update(3), capabilities(7)

AUTHOR
Steve Grubb